﻿namespace TestLibrary
{
    /// <summary>
    /// 바 높이 스케일링 스타일
    /// </summary>
    public enum BarHeightScalingStyle
    {
        /// <summary>
        /// 데시벨
        /// 공식 : 20 * Log10(FFTValue)
        /// 전체 바 높이는 -90에서 0 dB 사이에서 스케일 된다.
        /// </summary>
        Decibel,

        /// <summary>
        /// 비선형 제곱근 스케일
        /// 공식 : Sqrt(FFTValue) * 2 * BarHeight
        /// </summary>
        Sqrt,

        /// <summary>
        /// 선형 스케일
        /// 공식 : 9 * FFTValue * BarHeight
        /// </summary>
        Linear
    }
}