﻿using System.Windows;

namespace TestLibrary
{
    /// <summary>
    /// 시간 에디터 이벤트 인자
    /// </summary>
    public sealed class TimeEditorEventArgs : RoutedEventArgs
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 액션 - Action

        /// <summary>
        /// 액션
        /// </summary>
        public TimeEditorAction Action { get; private set; }

        #endregion
        #region 액티브 필드 - ActiveField

        /// <summary>
        /// 액티브 필드
        /// </summary>
        public TimeEditorField ActiveField { get; private set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - TimeEditorEventArgs(action, activeField)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="action">액션</param>
        /// <param name="activeField">액티브 필드</param>
        public TimeEditorEventArgs(TimeEditorAction action, TimeEditorField activeField)
        {
            Action      = action;
            ActiveField = activeField;
        }

        #endregion
        #region 생성자 - TimeEditorEventArgs(routedEvent, action, activeField)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="routedEvent">라우팅 이벤트</param>
        /// <param name="action">액션</param>
        /// <param name="activeField">액티브 필드</param>
        public TimeEditorEventArgs(RoutedEvent routedEvent, TimeEditorAction action, TimeEditorField activeField) : base(routedEvent)
        {
            Action      = action;
            ActiveField = activeField;
        }

        #endregion
        #region 생성자 - TimeEditorEventArgs(routedEvent, source, action, activeField)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="routedEvent">라우팅 이벤트</param>
        /// <param name="source">소스</param>
        /// <param name="action">액션</param>
        /// <param name="activeField">액티브 필드</param>
        public TimeEditorEventArgs(RoutedEvent routedEvent, object source, TimeEditorAction action, TimeEditorField activeField) : base(routedEvent, source)
        {
            Action      = action;
            ActiveField = activeField;
        }

        #endregion
    }
}