﻿namespace TestLibrary
{
        /// <summary>
        /// 스펙트럼 재생기 인터페이스
        /// </summary>
    public interface ISpectrumPlayer : ISoundPlayer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region FFT 데이터 설정하기 - GetFFTData(targetArray)

        /// <summary>
        /// FFT 데이터 설정하기
        /// </summary>
        /// <param name="targetArray">타겟 배열</param>
        /// <returns>처리 결과</returns>
        bool SetFFTData(float[] targetArray);

        #endregion
        #region FFT 주기 인덱스 구하기 - GetFFTFrequencyIndex(frequency)

        /// <summary>
        /// FFT 주기 인덱스 구하기
        /// </summary>
        /// <param name="frequency">주기</param>
        /// <returns>FFT 주기 인덱스</returns>
        int GetFFTFrequencyIndex(int frequency);

        #endregion
    }
}