﻿using System;

namespace TestLibrary
{
    /// <summary>
    /// 웨이브폼 플레이어 인터페이스
    /// </summary>
    public interface IWaveformPlayer : ISoundPlayer
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property

        #region 채널 위치 - ChannelPosition

        /// <summary>
        /// 채널 위치
        /// </summary>
        double ChannelPosition { get; set; }

        #endregion
        #region 채널 길이 - ChannelLength

        /// <summary>
        /// 채널 길이
        /// </summary>
        double ChannelLength { get; }

        #endregion
        #region 웨이브 폼 데이터 - WaveFormData

        /// <summary>
        /// 웨이브 폼 데이터
        /// </summary>
        float[] WaveFormFloatArray { get; }

        #endregion
        #region 선택 시작 - SelectionBegin

        /// <summary>
        /// 선택 시작
        /// </summary>
        TimeSpan SelectionBegin { get; set; }

        #endregion
        #region 선택 종료 - SelectionEnd

        /// <summary>
        /// 선택 종료
        /// </summary>
        TimeSpan SelectionEnd { get; set; }

        #endregion
    }
}